Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228369 - kannel multi-lib conflicts
Summary: kannel multi-lib conflicts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kannel
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 20:11 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-14 17:25:28 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-12 20:11:38 UTC
kannel - 1.4.1-2.fc6.x86_64
  Conflicts: 4
  File conflict in:
     /usr/share/doc/kannel-1.4.1/alligata.pdf
     /usr/share/doc/kannel-1.4.1/arch.pdf
     /usr/share/doc/kannel-1.4.1/userguide.pdf
     /usr/share/doc/kannel-1.4.1/wtls.pdf
  Packages with the same files:
     kannel - 1.4.1-2.fc6.i386

Comment 1 Matthias Saou 2007-02-13 10:04:51 UTC
Ouch. Is this really to be considered a bug? I really hope not...

Comment 2 Matthias Saou 2007-06-08 12:51:26 UTC
These files are created at build time. The probably contain some timestamp which
makes them slightly different from one buildd to another. I do not see any easy
way to fix this, nor do I see it as being something useful to "fix" since I
don't think this package makes sense as multilib. Should I remove all files
which make the devel sub-package in order to no longer have it? ... (yeah, I
don't particularly like multilib...)

Comment 3 Michael Schwendt 2007-06-08 13:39:44 UTC
It could be that %_defaultdocdir (/usr/share/doc) for some versions
of rpm contains hacks to work around multi-lib conflicts (cf. bug 228372).


Comment 4 Matthias Saou 2007-06-14 17:25:28 UTC
Yup, all versions of rpm I know "work around" the problem already. And if it was
left up to me, I would not make kannel available as multilib, since there isn't
much (any at all?) point in doing so.

So I'll close as WONTFIX. But I _will_ take care of non worked around multilib
issues like in bug #228177 and bug #228359.


Note You need to log in before you can comment on or make changes to this bug.